#
# spec file for package python-pytest-sugar
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-sugar
Version:        0.9.3
Release:        bp156.3.1
Summary:        Pretty printer for pytest progress
License:        BSD-3-Clause
URL:            https://github.com/Frozenball/pytest-sugar
Source:         https://files.pythonhosted.org/packages/source/p/pytest-sugar/pytest-sugar-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module termcolor}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
Requires:       python-termcolor
BuildArch:      noarch
%python_subpackages

%description
pytest-sugar is a plugin for py.test that shows failures and errors instantly and shows a progress bar.

%prep
%setup -q -n pytest-sugar-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_item_count_after_pytest_collection_modifyitems -  https://github.com/Frozenball/pytest-sugar/issues/180
# test_doctest - same as above
%pytest -k 'not test_item_count_after_pytest_collection_modifyitems and not test_doctest'

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Mon Apr 27 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.3:
  * Fix incompatibility with pytest 5.4.0 (thanks @GuillaumeFavelier)
- Drop patch pytest4.patch
* Wed Jul 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip failing pytest5 checks that need tweaking upstream
* Tue Feb 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.2:
  * Fix incompatibility with pytest 3.10 (thanks @Natim)
  * Double colons for verbose output (thanks @albertodonato)
  * Fix "Wrong count with items modified in pytest_collection_modifyitems" (thanks @blueyed)
  * Defer registration of xdist hook (thanks @blueyed)
- Add patch from upstream to fix build with pytest 4.2+:
  * pytest4.patch
* Sun Feb 18 2018 mimi.vx@gmail.com
- update to 0.9.1
  + Fix incompatibility with pytest 3.4
* Fri Nov 17 2017 jengelh@inai.de
- Fix package name repetition in summary.
* Wed Nov 15 2017 mimi.vx@gmail.com
- initial package
